// SAOpenAuxInstDlg.h : header file
//

#pragma once
#include "saopeninstctrl1.h"
#include "afxwin.h"

class CSAOpenAuxInstDlgAutoProxy;


// CSAOpenAuxInstDlg dialog
class CSAOpenAuxInstDlg : public CDialog
{
	DECLARE_DYNAMIC(CSAOpenAuxInstDlg);
	friend class CSAOpenAuxInstDlgAutoProxy;

// Construction
public:
	CSAOpenAuxInstDlg(CWnd* pParent = NULL);	// standard constructor
	virtual ~CSAOpenAuxInstDlg();

// Dialog Data
	enum { IDD = IDD_SAOPENAUXINST_DIALOG };

	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support


// Implementation
protected:
	CSAOpenAuxInstDlgAutoProxy* m_pAutoProxy;
	HICON m_hIcon;

	BOOL CanExit();

	void SetButtonStates(const bool IsConnected);

	// Generated message map functions
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnClose();
	virtual void OnOK();
	virtual void OnCancel();
	DECLARE_MESSAGE_MAP()
public:
	CSaopeninstctrl1 mOpenAuxInst;
	// Aux data 
	double m_dAuxData;
	afx_msg void OnBnClickedConnectButton();
	CButton m_ConnectButton;
	afx_msg void OnBnClickedAddAuxButton();
	afx_msg void OnBnClickedSendButton();
	CButton m_AddButton;
	CButton m_SendButton;
};
